summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorWulf Krueger <philantrop@gentoo.org>2007-05-29 17:26:18 +0000
committerWulf Krueger <philantrop@gentoo.org>2007-05-29 17:26:18 +0000
commitd6f6911b3bc5eb95797266f35daafe6fc167b2c7 (patch)
treeef1cc56237a3cfd83671ab669faef54717f537c1 /eclass
parentAdded missing dependency to app-arch/zip. (diff)
downloadhistorical-d6f6911b3bc5eb95797266f35daafe6fc167b2c7.tar.gz
historical-d6f6911b3bc5eb95797266f35daafe6fc167b2c7.tar.bz2
historical-d6f6911b3bc5eb95797266f35daafe6fc167b2c7.zip
Minor clean-ups.
Diffstat (limited to 'eclass')
-rw-r--r--eclass/kde-functions.eclass6
1 files changed, 3 insertions, 3 deletions
diff --git a/eclass/kde-functions.eclass b/eclass/kde-functions.eclass
index b3e0e603adaa..a5417c52b042 100644
--- a/eclass/kde-functions.eclass
+++ b/eclass/kde-functions.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2004 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/kde-functions.eclass,v 1.154 2007/05/28 19:09:30 philantrop Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/kde-functions.eclass,v 1.155 2007/05/29 17:26:18 philantrop Exp $
#
# Author Dan Armak <danarmak@gentoo.org>
#
@@ -922,8 +922,8 @@ Hidden=true"
if [[ -n ${desktop_entries} ]]; then
for entry in ${desktop_entries} ; do
- echo "$uninstall_file" | diff -qs ${entry} - &> /dev/null
- if [[ "$?" != "0" ]]; then
+ echo "${uninstall_file}" | diff -qs ${entry} - &> /dev/null
+ if [[ $? != 0 ]]; then
if [[ ! -f ${D}${PREFIX}/share/applications/kde/$(basename ${entry}) ]]; then
dodir ${PREFIX}/share/applications/kde
mv ${entry} ${D}${PREFIX}/share/applications/kde